commit:     a9b254fbb9df8b488c487df528c33f1c56c5194c
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  2 18:39:59 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Jun  2 18:40:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9b254fb

dev-python/oslo-cache: 2.3.0 bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/oslo-cache/Manifest                |  1 +
 dev-python/oslo-cache/oslo-cache-2.3.0.ebuild | 42 +++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/oslo-cache/Manifest b/dev-python/oslo-cache/Manifest
index 05d4069412e..e2123a7248b 100644
--- a/dev-python/oslo-cache/Manifest
+++ b/dev-python/oslo-cache/Manifest
@@ -1 +1,2 @@
 DIST oslo-cache-1.33.3.tar.gz 56098 BLAKE2B 
b3d2ab549a2b2066ffdfc5d9b680da35501818719a8c6f460be1520c2d6342f1c41f0f1aa20ffdcc45958e83e242515a3ec8bf69ce1273ab47a8a26e648069c8
 SHA512 
7edc1d8ceb00f2989093ec1809120f2aa552de2d5ce6176c9af56278040d652fc0d627e0f7f427b9bacaaa24cec7b0fe24568316d90a4e52054357bc9b9e30e2
+DIST oslo-cache-2.3.0.tar.gz 57209 BLAKE2B 
aa34c4deb0206c86181e629b1ccedaa3b0b7a503f4648b9ffb23dcba84c98658017a720701176776652a2a58447c54662314dd4853ec6ccf6c2acebb4b559325
 SHA512 
c3ad9c326fa71985d4546bd20bcb8aa9508808c8eae2a9e3dac1c014d148bfa8f5a847eb2ca8d1a204cce07b6d640f9541491dd41c7c6169e993e408786358af

diff --git a/dev-python/oslo-cache/oslo-cache-2.3.0.ebuild 
b/dev-python/oslo-cache/oslo-cache-2.3.0.ebuild
new file mode 100644
index 00000000000..617334205e5
--- /dev/null
+++ b/dev-python/oslo-cache/oslo-cache-2.3.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Caching around dogpile.cache"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.30.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.31.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}

Reply via email to